Bug 1404526 - Folder relationship change causing a re-classify of all children VMs
Summary: Folder relationship change causing a re-classify of all children VMs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.7.1
Assignee: Adam Grare
QA Contact: Alex Newman
URL:
Whiteboard:
Depends On: 1404028
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-14 02:34 UTC by Satoe Imaishi
Modified: 2020-02-14 18:18 UTC (History)
5 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1404028
Environment:
Last Closed: 2017-02-27 19:15:18 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 19:00:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a4db03cfef31c976b940ab54042714fefd46f442

commit a4db03cfef31c976b940ab54042714fefd46f442
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Tue Dec 13 10:54:38 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 13:55:43 2017 -0500

    Merge pull request #13133 from Fryguy/fix_post_refresh_ems
    
    Fix post_refresh_ems by only reclassifying VMs if they were changed directly
    (cherry picked from commit 850ec918e05002e2077851000f84d7fe58c4ddfc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1404526

 app/models/vm_or_template.rb       |  34 ++++++---
 spec/factories/ems_folder.rb       |  79 +++++++++++++++++++
 spec/models/vm_or_template_spec.rb | 151 +++++++++++++++++++++++++++++++++++++
 3 files changed, 254 insertions(+), 10 deletions(-)

Comment 3 errata-xmlrpc 2017-02-27 19:15:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.